Package twisted :: Package python :: Module timeoutqueue :: Class TimeoutQueue

[show private | hide private]
[frames | no frames]

## Class TimeoutQueue

    Queue --+
            |
           TimeoutQueue

A thread-safe queue that supports timeouts

Method Summary
| `__init__(self, max)`
| ``empty`(self)` Return 1 if the queue is empty, 0 otherwise (not reliable!). (inherited from `Queue`)
| ``full`(self)` Return 1 if the queue is full, 0 otherwise (not reliable!). (inherited from `Queue`)
| ``get`(self, block)` Remove and return an item from the queue. (inherited from `Queue`)
| ``get_nowait`(self)` Remove and return an item from the queue without blocking. (inherited from `Queue`)
| ``put`(self, item, block)` Put an item into the queue. (inherited from `Queue`)
| ``put_nowait`(self, item)` Put an item into the queue without blocking. (inherited from `Queue`)
| ``qsize`(self)` Return the approximate size of the queue (not reliable!). (inherited from `Queue`)
| ``wait`(self, timeout)` Wait until the queue isn't empty.

Method Details

### wait(self, timeout)

Wait until the queue isn't empty. Raises TimedOut if still empty.

Generated by Epydoc 1.1 on Sat Feb 15 21:18:06 2003 | http://epydoc.sf.net